Bug 432371 - Kernel panic in tcp_sendmsg
Kernel panic in tcp_sendmsg
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.2
i686 Linux
low Severity low
: rc
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 12:00 EST by Matt Keller
Modified: 2012-06-20 09:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Keller 2008-02-11 12:00:18 EST
Description of problem:

Kernel panic occurred, reportedly in tcp_sendmsg.  No known way of reproducing
at this juncture.

Version-Release number of selected component (if applicable):
Kernel is reported as 1.6.9-22.ELsmp, built by Redhat

How reproducible:
Unknown.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Information logged from panic:
Feb  9 10:23:05 appsrv2 kernel: Unable to handle kernel paging request at
virtual address 73bd4000
Feb  9 10:23:05 appsrv2 kernel:  printing eip:
Feb  9 10:23:05 appsrv2 kernel: c029ccf7
Feb  9 10:23:05 appsrv2 kernel: *pde = 00007001
Feb  9 10:23:05 appsrv2 kernel: Oops: 0000 [#1]
Feb  9 10:23:05 appsrv2 kernel: SMP
Feb  9 10:23:05 appsrv2 kernel: Modules linked in: parport_pc lp parport
oracleasm(U) autofs4 i2c_dev i2c_core sunrpc button battery ac md5 ipv6
 uhci_hcd ehci_hcd hw_random tg3 floppy dm_snapshot dm_zero dm_mirror ext3 jbd
dm_mod cciss sd_mod scsi_mod
Feb  9 10:23:05 appsrv2 kernel: CPU:    0
Feb  9 10:23:05 appsrv2 kernel: EIP:    0060:[<c029ccf7>]    Not tainted VLI
Feb  9 10:23:05 appsrv2 kernel: EFLAGS: 00210286   (2.6.9-22.ELsmp)
Feb  9 10:23:05 appsrv2 kernel: EIP is at tcp_recvmsg+0x2b3/0x681
Feb  9 10:23:05 appsrv2 kernel: eax: 73bd4000   ebx: 00000000   ecx: 00000000  
edx: 7fffffff
Feb  9 10:23:05 appsrv2 kernel: esi: f6de2718   edi: f6de2500   ebp: ffffff95  
esp: f3bd4e20
Feb  9 10:23:05 appsrv2 kernel: ds: 007b   es: 007b   ss: 0068
Feb  9 10:23:05 appsrv2 kernel: Process wcsOF_04 (pid: 23766,
threadinfo=f3bd4000 task=f5b2ceb0)
Feb  9 10:23:05 appsrv2 kernel: Stack: c029c221 00000000 00000001 00000000
f6de2848 00000000 f3bd4eac 7fffffff
Feb  9 10:23:05 appsrv2 kernel:        000005a8 00000000 c0349fe0 f3bd4eac
f3bd4eac c02789e0 00000810 00000000
Feb  9 10:23:05 appsrv2 kernel:        00000000 f3bd4e68 00000000 c034df00
00000000 f3bd4ef8 c027580b 00000810
Feb  9 10:23:05 appsrv2 kernel: Call Trace:
Feb  9 10:23:05 appsrv2 kernel:  [<c029c221>] tcp_sendmsg+0xb47/0xbe3
Feb  9 10:23:05 appsrv2 kernel:  [<c02789e0>] sock_common_recvmsg+0x30/0x46
Feb  9 10:23:05 appsrv2 kernel:  [<c027580b>] sock_aio_read+0x10d/0x11b
Feb  9 10:23:05 appsrv2 kernel:  [<c0159b79>] do_sync_read+0x97/0xc9
Feb  9 10:23:05 appsrv2 kernel:  [<c0169fc0>] poll_freewait+0x33/0x38
Feb  9 10:23:05 appsrv2 kernel:  [<c011cbba>] recalc_task_prio+0x128/0x133
Feb  9 10:23:05 appsrv2 kernel:  [<c011ffb1>] autoremove_wake_function+0x0/0x2d
Feb  9 10:23:05 appsrv2 kernel:  [<c02cf372>] schedule+0x84e/0x87a
Feb  9 10:23:05 appsrv2 kernel:  [<c0159c71>] vfs_read+0xc6/0xe2
Feb  9 10:23:05 appsrv2 kernel:  [<c0159e74>] sys_read+0x3c/0x62
Feb  9 10:23:05 appsrv2 kernel:  [<c02d10cf>] syscall_call+0x7/0xb
Feb  9 10:23:05 appsrv2 kernel:  [<c02d007b>] __lock_text_end+0x11a/0x100f
Feb  9 10:23:05 appsrv2 kernel: Code: 00 00 00 a8 02 0f 85 48 03 00 00 c7 44 24
14 95 ff ff ff e9 3b 03 00 00 8b 54 24 1c 85 d2 0f 84 f5 fd ff f
f b8 00 f0 ff ff 21 e0 <8b> 00 8b 40 04 8b 40 08 a8 04 74 21 c7 44 24 14 00 fe
ff ff 81
Feb  9 10:23:05 appsrv2 kernel:  <0>Fatal exception: panic in 5 seconds
Comment 1 Prarit Bhargava 2008-02-13 08:05:48 EST
Matt -- did this happen on system boot?

P.
Comment 2 Jiri Pallich 2012-06-20 09:23:50 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.